export enum TypeCategory {
  GROUP,
  ORIGINAL,
  ELEMENT,
}

// export enum ScreenType {
//   Create = 'CREATE',
//   Clone = 'CLONE',
//   Update = 'UPDATE',
//   Detail = 'DETAIL',
// }


export enum FunctionCode {
  GOA_SETUP_SYSTEM = 'D-02-011',
  PERSONNEL_EXCEPTION_RATINGS = 'D-02-010',
  SYSTEM_ALLOCATION = 'D-02-002',
  CLASSIFICATION_OF_BLOCKS_AND_LINES = 'D-02-003',
  ALLOCATION_LINE_BRANCH = 'D-02-004',
  TARGET_ASSESSMENT_RESULT = 'E-01-004',
  PERSONAL_TARGET_LIST = 'E-01-002',
  BALANCED_SCORECARD_MANAGEMENT = 'D-01-004',
  SET_OF_INDICATORS = 'D-01-002',
  SETUP_ASSESSMENT = 'D-01-003',
  EVALUETION_APPROVAL_SET_OF_INDICATOR = 'E-01-003',
  HR_ACCEPTANCE_RECORD = "HR_ACCEPTANCE_RECORD", // Tuyển dụng
  HR_EMPLOYES = "HR_EMPLOYES",    //1Quản lý thông tin nhân viên
  HR_RESEARCH = "HR_RESEARCH",    //1.1Tra cứu
  HR_RECRUITMENT = "HR-MENU-RECRUITMENT",    //1.1Tra cứu
  HR_PERSONAL_INFO = "HR_PERSONAL_INFO",    //1.1.1Thông tin cơ bản
  HR_ACCOUNT = "HR_ACCOUNT",    //1.1.2Thông tin tài khoản
  HR_IDENTITY = "HR_IDENTITY",    //1.1.3Thông tin định danh
  HR_FAMILY_RELATIONSHIP = "HR_FAMILY_RELATIONSHIP",    //1.1.4Thông tin thân nhân
  HR_DEPENDENT_PERSON = "HR_DEPENDENT_PERSON",    //1.1.5Thông tin giảm trừ gia cảnh
  HR_WORK_OUTSIDE = "HR_WORK_OUTSIDE",    //1.1.6Quá trình công tác trước khi vào MB
  HR_WORK_PROCESS = "HR_WORK_PROCESS",    //1.1.7Quá trình công tác
  HR_CONCURRENT_PROCESS = "HR_CONCURRENT_PROCESS",
  HR_PROJECT_MEMBER = "HR_PROJECT_MEMBER",    //1.1.8Quá trình tham gia dự án
  HR_CONTRACT_PROCESS = "HR_CONTRACT_PROCESS",    //1.1.9Quá trình hợp đồng
  HR_SALARY_PROCESS = "HR_SALARY_PROCESS",    //1.1.10Quá trình hệ số lương
  HR_ALLOWANCE_PROCESS = "HR_ALLOWANCE_PROCESS",    //1.1.11Quá trình phụ cấp
  HR_EDU_DEGREE = "HR_EDU_DEGREE",    //1.1.12Thông tin bằng cấp/chứng chỉ
  HR_EDU_PROCESS = "HR_EDU_PROCESS",    //1.1.13Thông tin quá trình đào tạo
  HR_REWARD = "HR_REWARD",    //1.1.14Thông tin khen thưởng
  HR_DECPLINE = "HR_DECPLINE",    //1.1.15Thông tin kỷ luật
  HR_PROFILE = "HR_PROFILE",    //1.1.16 FILE đính
  HR_MANAGER_PROCESS = "HR_MANAGER_PROCESS",    //1.1.17 Thông tin người quản ký
  HR_MODIFICATION = "HR_MODIFICATION",    //1.2Hiệu chỉnh thông tin
  HR_MODIFY_IDENTITY = "HR_MODIFY_IDENTITY",    //1.2.1Hiệu chỉnh Thông tin định danh
  HR_MODIFY_ACCOUNT = "HR_MODIFY_ACCOUNT",    //1.2.2Hiệu chỉnh Thông tin tài khoản
  HR_MODIFY_DEPENDENT = "HR_MODIFY_DEPENDENT",    //1.2.3Hiệu chỉnh Thông tin giảm trừ gia cảnh
  HR_MODIFY_WORK_PROCESS = "HR_MODIFY_WORK_PROCESS",    //1.2.4Hiệu chỉnh Thông tin công tác
  HR_MODIFY_PROJECT_MEMBER = "HR_MODIFY_PROJECT_MEMBER",    //1.2.5Hiệu chỉnh Thông tin tham gia dự án
  HR_MODIFY_CONTRACT_PROCESS = "HR_MODIFY_CONTRACT_PROCESS",    //1.2.6Hiệu chỉnh Thông tin hợp đồng
  HR_MODIFY_MANAGER = "HR_MODIFY_MANAGER",    //1.2.7Hiệu chỉnh Thông tin người quản lý trực tiếp
  HR_MODIFY_SALARY_PROCESS = "HR_MODIFY_SALARY_PROCESS",    //1.2.8Hiệu chỉnh Thông tin diễn biến lương
  HR_MODIFY_ALLOWANCE_PROCESS = "HR_MODIFY_ALLOWANCE_PROCESS",    //1.2.9Hiệu chỉnh Thông tin phụ cấp
  HR_MODIFY_DEGREE = "HR_MODIFY_DEGREE",    //1.2.10Hiệu chỉnh Thông tin bằng cấp/chứng chỉ
  HR_MODIFY_EDU_PROCESS = "HR_MODIFY_EDU_PROCESS",    //1.2.11Hiệu chỉnh Thông tin quá trình đào tạo
  HR_MODIFY_REWARD = "HR_MODIFY_REWARD",    //1.2.12Hiệu chỉnh Thông tin khen thưởng
  HR_MODIFY_DECIPLINE = "HR_MODIFY_DECIPLINE",    //1.2.13Hiệu chỉnh Thông tin kỷ luật
  HR_DRAFT_CONCURRENT_PROCESS = "HR_DRAFT_CONCURRENT_PROCESS", //1.2.14Hiệu chỉnh Thông tin quá trình kiêm nhiệm
  EMPLOYEE_TARGET_LIST = 'E-01-001',
  ASSIGN_TARGET_TO_ALL_EMPLOYEES = 'E-01-001-03',
  ORGANIZATION_MANGEMENT = 'HCM-MPL-01-001',
  ORGANIZATION_ORG_TEMPLATE = 'HCM-MPL-08-005',
  ORGANIZATION_ORG_TEMPLATE_INIT = 'HCM-MPL-08-006',
  ORGANIZATION_MANGEMENT_INIT = 'HCM-MPL-01-002',
  ORGANIZATION_INFO = 'HCM-MPL-01-007',
  ORGANIZATION_LIST_INFO = 'HCM-MPL-01-006',
  ADMIN_APP = 'DANH-MUC-UNG-DUNG',
  ADMIN_FULL_TEXT_SEARCH = 'FULL_TEXT_SEARCH',
  ADMIN_SYSTEM = 'THAM-SO-HE-THONG',
  ADMIN_SESSIONS = 'QUAN-LY-PHIEN-LAM-VIEC',
  ADMIN_SESSIONS_HISTORY = 'LICH-SU-PHIEN-LAM-VIEC',
  ADMIN_COMMON = 'ADMIN_COMMON',
  ADMIN_BRANCH = 'ADMIN_BRANCH',
  ADMIN_BLOCK = 'ADMIN_BLOCK',
  ADMIN_FUNCTION = 'DANH-MUC-CHUC-NANG',
  ADMIN_SCOPES = 'DANH-MUC-THAO-TAC',
  ADMIN_USER = 'QUAN-LY-NGUOI-DUNG',
  ADMIN_ROLE = 'DANH-MUC-VAI-TRO',
  ADMIN_USER_ROLE = 'GAN_VAI_TRO_CHO_NGUOI_DUNG',
  ADMIN_PERMISSION = 'QUAN-LY-QUYEN',
  ADMIN_USER_PERMISSION = 'QUAN-LY-DATA-PHAN-QUYEN',
  ADMIN_LOG = 'ADMIN_LOG',
  ADMIN_DATA_DOMAIN = 'ADMIN_DATA_DOMAIN',
  ADMIN_PERMISSION_ROLE = 'GAN_QUYEN_CHO_VAI_TRO',
  ADMIN_USER_PROFILE = 'USER_PROFILE',
  ADMIN_SESSION_MANAGEMENT = 'QUAN_LY_PHIEN',
  GAN_TU_DONG_VAI_TRO = 'GAN-TU-DONG-VAI-TRO',
  ADMIN_SEARCH_USER_LOG = 'SEARCH-USER-LOG',
  ADMIN_SEARCH_PERMISSION = 'TIM-KIEM-NGUOI-DUNG-THONG-TIN-NGUOI-DUNG',
  ADMIN_TEMPLATE_MANAGEMENT = 'DANH_MUC_BIEU_MAU',
  DEVELOPMENT_CAP_BAN_HANH = 'CAP_BAN_HANH',
  DEVELOPMENT_APPROVE_CONFIG = 'CAU_HINH_KY_DUYET_LD',
  DEVELOPMENT_FORM_LD = 'HINH_THUC_LD',
  DEVELOPMENT_PROPOSE = 'HCM-LND-02',
  DEVELOPMENT_PROPOSE_LIST = 'HCM-LND-04-002',
  DEVELOPMENT_APPROVE_PROPOSE = 'HCM-LND-03',
  DEVELOPMENT_APPROVEMENT_PROPOSE = 'HCM-LND-04-006',
  DEVELOPMENT_LIST_ISSUE_TRANSFER = 'HCM-LND-05',
  DEVELOPMENT_APPROVE_STAFF = 'HCM-MPL-07-004',
  ORGANIZATION_APPROVE_ORG = 'HCM-MPL-01-005',
  ORGANIZATION_REGION_CATEGORY = 'HCM-MPL-08-002',
  ORGANIZATION_BRANCH_CATEGORY = 'HCM-MPL-08-001',
  ORGANIZATION_SUB_REGION_CATEGORY = 'HCM-MPL-08-003',
  ORGANIZATION_CATEGORY = 'HCM-MPL-08-011',
  ORGANIZATION_ISSUED_LIST = "HCM-MPL-06-001",
  ORGANIZATION_ISSUED_TRANFER ='HCM-MPL-06-002',
  GIVE_CRITERIA = "E-01-001",
  PERSONAL_PLAN_TARGET = "E-01-002-01",
  TARGET_CATEGORY = "D-01-001",
  ORGANIZATION_ADJUSTED_ORG = 'HCM-MPL-01-003',
  ORGANIZATION_CORRECTION_ORG = 'HCM-MPL-01-004',
  ORGANIZATION_STAFF_PLAN = "HCM-MPL-07-001", // danh mục kế hoạch nhân sự năm
  ORGANIZATION_STAFF_PLAN_APPROVE = "HCM-MPL-07-006",
  ORGANIZATION_STAFF_PLAN_INIT = "HCM-MPL-07-002",
  ORGANIZATION_STAFF_PLAN_ADJUST = "HCM-MPL-07-003",
  ORGANIZATION_POSITION_LIST = 'HCM-MPL-04-004',
  ORGANIZATION_POSITION_GROUP = 'HCM-MPL-08-009',
  ORGANIZATION_POSITION_ASSIGN = 'HCM-MPL-08-010',
  ORGANIZATION_POSITION_UNASSIGN = 'HCM-MPL-04-005',
  ORGANIZATION_STAFF_PLAN_CORRECTION = "HCM-MPL-07-004",
  ORGANIZATION_SORT_TREE = "HCM-MPL-01-008",
  ORGANIZATION_JD_INIT = 'HCM-MPL-05-002',
  ORGANIZATION_JD_APPROVE = 'HCM-MPL-05-004',
  // EVALUATE_EMPLOYEE_RESULTS = 'E-01-003-01',
  EVALUATE_EMPLOYEE_RESULTS = 'E-01-003-01',
  EVALUATE_EMPLOYEE_RESULT = 'E-01-003-03',
  DEPLOY_JOB = 'HCM-MPL-04-001',
  ASSIGN_JOB_FOR_UNIT = 'HCM-MPL-04-002',
  LIST_JOB = 'HCM-MPL-08-008', // Danh mục Job (Mô hình kế hoạch)
  APPROVE_ASSIGN_JOB = 'HCM-MPL-04-003', // Phê duyệt triển khai Job (Mô hình kế hoạch)
  LIST_LINE = 'HCM-MPL-03-005', // Danh sách line (Mô hình kế hoạch)
  MANAGE_LINE = 'HCM-MPL-03-001', // Quản lý line (Mô hình kế hoạch)
  INIT_LINE = 'HCM-MPL-03-002', // Thêm mới, edit line (Mô hình kế hoạch)
  APPROVE_LINE = 'HCM-MPL-03-003', // Phê duyệt line (Mô hình kế hoạch)
  APPROVED_STAFF = 'HCM-MPL-07-006', // Phê kế hoạch nhân sự (Mô hình kế hoạch)
  INIT_STAFF_PLAN = 'HCM-MPL-07-002', // Khởi tạo kế hoạch năm (Mô hình kế hoạch)
  ADJUSTED_STAFF = 'HCM-MPL-07-003', // Điều chỉnh kế hoạch năm (Mô hình kế hoạch)
  PROJECT_CRITERIA_CATEGORY = 'HCM-MPL-08-007', // Danh mục tiêu chí dự án (Mô hình kế hoạch)
  INIT_PROJECT = 'HCM-MPL-02-002', // Thêm mới, chỉnh sửa dự án (Mô hình kế hoạch)
  MANAGE_PROJECT = 'HCM-MPL-02-001',
  APPROVE_PROJECT = 'HCM-MPL-02-003',
  IMPLEMENT_PROJECT = 'HCM-MPL-02-005',
  APPROVE_PROJECT_DETAIL = 'HCM-MPL-02-004',
  CONFIRM_STAFF = 'HCM-MPL-07-005',
  CORRECTION_STAFF = 'HCM-MPL-07-004', // Hiệu chỉnh kế hoạch năm (Mô hình kế hoạch)
  JOB_DESCRIPTION = 'HCM-MPL-05-001',
  JOB_DESCRIPTION_APPROVE = 'HCM-MPL-05-004',
  ABS_TIMEKEEPINGS = "ABS_TIMEKEEPING", //3. quan ly cham cong
  ABS_ANNUAL_LEAVES = "ABS_NUMBER_OF_LEAVE", //3. quan ly số ngày phép
  PTX_TAX_SEARCH = 'PTX-TAX-SEARCH',
  ALLOWANCE_DEVELOPMENTS = 'HCM-POL-02',
  RECEIVING_EXCEPTION_ALLOWANCE= 'HCM-POL-02-001',
  RECEIVING_EXCEPTION_ALLOWANCE_APPROVE = 'HCM-POL-02-002',
  RECEIVING_EXCEPTION_ALLOWANCE_APPROVE_BACK_DATE = 'HCM-POL-02-005',
  ALLOWANCE_DEVELOPMENTS_LIST = 'HCM-POL-02-003',
  ALLOWANCE_DEVELOPMENTS_APPROVE = 'HCM-POL-02-004',
  ALLOWANCE_DEVELOPMENTS_APPROVE_BD = 'HCM-POL-02-006',
  POL_SALARY_EVOLUTION = 'HCM-POL-01-001',
  POL_SALARY_PROCESS_APPROVE = 'HCM-POL-01-002',
  POL_SALARY_PROCESS_APPROVE_B = 'HCM-POL-01-005',
  POL_SALARY_COMMITMENT = 'HCM-POL-01-003',
  POL_SALARY_COMMITMENT_APPROVE = 'HCM-POL-01-004',
  POL_SALARY_COMMITMENT_APPROVE_B = 'HCM-POL-01-006',
  RATING_CATEGORY = 'D-02-001',
  LIST_EMP_ALLOCATED = 'D-02-005',
  APPROVE_EMP_ALLOCATED = 'D-02-006',
  KPI_COMPLIANCE = 'D-02-007',
  LIST_OF_INDICATOR = 'E-01-005',
  LIST_PERSONNEL_ALLOCATION = 'D-02-008',

  PTX_TAX_REGISTER = 'TAX-REGISTER',
  PTX_TAX_CHANGE = 'TAX-CHANGE',
  PTX_DEPENDENT_REGISTERS = 'DEPENDENT-REGISTER',
  PTX_DEPENDENT_DEDUCTION = 'PTX_DEPENDENT_DEDUCTION',
  PTX_DECLARATION_REGISTERS = 'DECLARATION-REGISTER',
  PTX_RECEIVE_INVOICE = 'RECEIVE-INVOICE',
  PTX_CONFIRM_PROVIDE = 'CONFIRM-PROVIDE-INFO',
  PTX_SALARY_ACCOUNT_REQS = 'TAX-DK-MO-TAI-KHOAN-LUONG',

  MANAGER_DIREECT = 'HCM-ADM-06'

}

export enum Mode {
  ADD,
  EDIT,
  View,
}
